Dist::Zilla::Util(3)

NAME
Dist::Zilla::Util - random snippets of code that Dist::Zilla wants

VERSION
version 4.300016

METHODS

  abstract_from_file
This method, which is likely to change or go away, tries to guess the abstract of a given file, assuming that it's Perl code. It looks for a POD "=head1" section called "NAME" or a comment beginning with "ABSTRACT:".

  expand_config_package_name
  my $pkg_name = Util->expand_config_package_name($string);

This method, which is likely to change or go away, rewrites the given string into a package name. Consult Dist::Zilla::Config for more information.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.